PPTPD(8)

NAME
pptpd - PPTP VPN daemon

SYNOPSIS

pptpd [ options ]

DESCRIPTION
pptpd is the Poptop PPTP daemon, which manages tunnelled PPP connections encapsulated in GRE using the PPTP VPN protocol. It may contain features like IP address management and TCP wrappers if compiled in.

OPTIONS
Here we document the command line options. See pptpd.conf(5) for configuration directives, IP address allocation, routing, and firewall rules.

-b|--bcrelay internal-interface
    specifies that broadcasts received on the server's internal network interface should be relayed to the clients.

-c|--conf conf-file
    specifies the configuration file for pptpd (default /etc/pptpd.conf)

-d|--debug
    turns on debugging mode, causing more debugging messages to be sent to syslog.

-e|--ppp pppd-program
    use pppd-program in place of the default pppd(8).

-f|--fg
    run in the foreground instead of detaching from terminal

-h|--help
    display program usage.

-i|--noipparam
    do not send the client's IP address to ip-up scripts (required if you are using the pppd(8) ipparam option for some other purpose).

-l|--listen x.x.x.x
    specifies the local interface IP address to listen on.

-o|--option ppp-conf-file
    specifies that pptpd should specify an alternate configuration file for the ppp daemon (the default is normally /etc/ppp/options but may vary depending on your ppp daemon).

-p|--pidfile pid-file
    specifies an alternate location to store the process ID file (default /var/run/pptpd.pid).

-s|--speed baud
    specifies that the speed baud should be passed to the ppp daemon as the tty speed to use (in some cases this is ignored by the ppp daemon).

-t|--stimeout seconds
    specifies the number of seconds to wait for the first packet before dropping the connection. This is a denial of service protection feature.

-w|--logwtmp
    update wtmp(5) as users connect and disconnect. See wtmp(1).

-v|--version
    displays the current version of the pptp daemon.

FILES
/etc/pptpd.conf
/var/run/pptpd.pid

AUTHORS
Poptop is written by Matthew Ramsay <matthewr@moreton.com.au>, David Luyer <luyer@ucs.uwa.edu.au>, Kevin Thayer <tmk@netmagic.net>, Peter Galbavy <Peter.Galbavy@knowledge.com> and others. Development has been moved to SourceForge and worked on by Richard de Vroede <r.devroede@linvision.com> since June 26, 2002.

COPYRIGHT
Copyright © 1999 Matthew Ramsay and others.

Poptop is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

Poptop is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Poptop; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AVAILABILITY
The most recent version of Poptop is available for download from SourceForge at http://sourceforge.net/projects/poptop.

SEE ALSO
pppd(8), pptpd(8), pptpd.conf(5).